local name, addon = ...
local parentName = addon['parentName'] or "BrokerPack"
local childName = "zz_Skeleton" -- Change childName to your addons foldername

local defaults = {
}

local options = {
}

local db
local ldbicon = LibStub:GetLibrary("LibDBIcon-1.0")
local function OnClick(self, button)
	if(IsShiftKeyDown() and button == "LeftButton") then
		addon['db']['global']['ldbicons'][childName]['hide'] = not addon['db']['global']['ldbicons'][childName]['hide']
		if(ldbicon) then
			if(addon['db']['global']['ldbicons'][childName]['hide']) then 
				ldbicon:Hide(childName)
			else
				ldbicon:Show(childName)
			end
		end
	else
		if(InterfaceOptionsFrame:IsVisible() and not InCombatLockdown()) then
			InterfaceOptionsFrame:Hide()
		else
			InterfaceOptionsFrame_OpenToCategory(childName)
			InterfaceOptionsFrame_OpenToCategory(childName) -- Twice because of a bug in InterfaceOptionsFrame_OpenToCategory
		end
	end
end
local function OnText(message)
	addon:OnText(childName, message)
end

local function getPref(pref)
	return db[pref[#pref]]
end

local function setPref(pref,value)
	db[pref[#pref]] = value
end

local function init()
	options = addon:InitConfig(childName, true, {
		['type'] = "data source", -- 'data source | launcher'
		['OnClick'] = OnClick
	}, getPref, setPref)
	db = addon['db']['profile'][childName]
end
addon:startup(name, childName, init, true, defaults)